%compiler-settings
commentStartToken = //
%end compiler-settings
//GNUNUX generate with command znc --makeconf
// WARNING
//
// Do NOT edit this file while ZNC is running!
// Use webadmin or *controlpanel instead.
//
// Altering this file by hand will forfeit all support.
//
// But if you feel risky, you might want to read help on /znc saveconfig and /znc rehash.
// Also check https://wiki.znc.in/Configuration

//>GNUNUX
SSLCertFile = /etc/pki/tls/certs/znc.crt
SSLKeyFile  = /etc/pki/tls/private/znc.key
//<GNUNUX

Version = 1.8.2
<Listener l>
//>GNUNUX
	AllowWeb = false
//<GNUNUX
	Port = 5535
	IPv4 = true
	IPv6 = false
	SSL = true
</Listener>
//GNUNUX LoadModule = webadmin

<User %%user_name>
        {{PASSWORD}}
	Admin      = false
	Nick       = %%user_name
	AltNick    = %%{user_name}_
	Ident      = %%user_name
	LoadModule = chansaver
//GNUNUX	LoadModule = controlpanel
//>GNUNUX
        RealName   = %%real_name
//<GNUNUX

%for %%server in %%server_names
	<Network %%server>
		LoadModule = simple_away
//>GNUNUX
                LoadModule = keepnick
                LoadModule = kickrejoin
                LoadModule = nickserv
                IRCConnectEnabled = true
//<GNUNUX
		Server     = %%server +%%server.port %%server.password
  %for %%channel in %%server.channels
		<Chan #%%channel>
		</Chan>
  %end for
	</Network>
%end for
</User>

